Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #699 (closed enhancement: fixed)

Opened 13 years ago

Last modified 13 years ago

[patch] add enhanced iwspy support (thresholds)

Reported by: Christian Buennig <masala@web.de> Assigned to: mrenzmann
Priority: minor Milestone: version 0.9.2
Component: madwifi: driver Version: trunk
Keywords: iwspy wireless extensions Cc:
Patch is attached: 1 Pending:

Description

With enhanced iwspy support it is possible to define signal strength thresholds. If the signal strength of a currently spyed node exceeds the defined thresholds, the driver raises an iwspy event.

Current iwspy implementation (see also #93) does not support enhanced iwspy support:

# iwspy ath0 getthr
Interface doesn't support thresholds...
SIOCGIWTHRSPY: Operation not supported

The attached patch adds enhanced iwspy support.

Some notes to the patch:

  • The patch adds adds iwspy event capability for station and ad-hoc mode.
  • The check for and raise of an iwspy event (in net80211/ieee80211_input.c) is implemented as a macro. I choosed that for performance reasons. But maybe a function is ok too. At least the code would be better to read.

Attachments

enhanced-iwspy.diff (6.1 kB) - added by Christian Buennig <masala@web.de> on 06/16/06 15:45:32.
enhanced-iwspy-2.diff (5.8 kB) - added by masala@web.de on 06/19/06 15:42:55.
Enhanced iwspy-support. Same as first patch, but macros in ieee80211_input.c are replaced by functions. Signed-off-by: Christian Buennig <masala@web.de>

Change History

06/16/06 15:45:32 changed by Christian Buennig <masala@web.de>

  • attachment enhanced-iwspy.diff added.

06/16/06 16:17:12 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.

Thanks for the patch. Please sign it off, so that it can later be committed.

Without having looked thoroughly at the patch so far, I'd prefer if you could modify your patch such that the macros are replaced by functions. I think that the number of calls is no issue here, so that we should not expect performance problems by this. On the other hand, as you already stated, it would definitely increase the readability.

06/19/06 15:42:55 changed by masala@web.de

  • attachment enhanced-iwspy-2.diff added.

Enhanced iwspy-support. Same as first patch, but macros in ieee80211_input.c are replaced by functions. Signed-off-by: Christian Buennig <masala@web.de>

06/19/06 15:56:59 changed by mrenzmann

  • milestone set to version 0.9.x - progressive release candidate phase.

Thanks. On a first and very quick glance the patch looks good. I think we can commit it in 0.9.2, but it should receive a review before that happens.

07/04/06 12:26:12 changed by kelmo

  • status changed from assigned to closed.
  • resolution set to fixed.
  • milestone changed from version 0.9.x - progressive release candidate phase to version 0.9.2.

Applied to r1668.